Subject: Re: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Stephen Berman <[email-masked]>
Date: Sun, 15 Jan 2023 17:00:00 +0100

On Sun, 15 Jan 2023 16:14:37 +0100 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
> H Stephen,
>
>>>> Oops, sorry, I just noticed the Cc on these emails that I should have
>>>> been using. Repeating what I said in (accidental) privacy:
>>>>
>>>> I installed Ubuntu Server 22.10 in a VM, booted, installed emacs-nox
>>>> package from repo, did mkdir asdf.deb, cd asdf.deb, emacs -Q, and the
>>>> problem happens there, in case that's useful. (v27.1)
>>>>
>>>> I realized that it doesn't matter what you are editing (if anything), it
>>>> just needs to be opened inside a directory ending in .deb.
>>>
>>> Maybe there are local Debian changes?  I suggest to report this to the
>>> distro first.
>>
>> I can reproduce the problem in my Emacs 27 branch from the Savannah repo
>> built on non-Debian GNU/Linux; I cannot reproduce it with Emacs 26 or 28
>> and later.  (Emacs 26 does not recognize tramp-archive-enabled, in 27
>> and later it does and the default value it t.)
>
> tramp-archive.el was added to Tramp 2.4 (Emacs 27) only, so it couldn't
> be a problem in Emacs 26.

Ah, ok.

> With the given scenario, I cannot reproduce it in either Emacs 27, 28,
> 29 and 30.
>
> $ mkdir test.deb
> $ cd test.deb
> $ emacs -Q test.sh
>
>
> Note that there was a similar report, bug#30293, which was fixed in
> Emacs 27. So in general the scenario shall work. If possible, I'd like
> to see a backtrace for the Emacs 27 case.

Do you mean from gdb?  If so, see below.

> Note also, that there were autoload problems in the past for
> tramp-archive.el (which should be fixed now). So would it work in your
> case, if you call instead
>
> $ emacs -Q -l tramp-archive test.sh

This doesn't prevent the freeze and 100% core usage for me.  I attached
the emacs process to gdb and append the backtrace below.  If this is not
what you want, or if you want me to execute specific gdb commands,
please let me know what I should do.

Steve Berman